Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class IncorrectClosureArgumentsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.IncorrectClosureArgumentsException

    public class IncorrectClosureArgumentsException
    extends GroovyRuntimeException

An exception occurred when invoking a Closure with the wrong number and/or types of arguments

Authors:
  James Strachan

Version:
  \$Revision: 6817 \$

Constructor Summary
`IncorrectClosureArgumentsException(Closure closure, Object arguments, Class[] expected)`

Method Summary
`Object` | `getArguments()`
`Closure` | `getClosure()`
`Class[]` | `getExpected()`

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### IncorrectClosureArgumentsException

    public IncorrectClosureArgumentsException(Closure closure, Object arguments, Class[] expected)

Method Detail

### getArguments

    public Object getArguments()

### getClosure

    public Closure getClosure()

### getExpected

    public Class[] getExpected()

Copyright © 2003-2010 The Codehaus. All rights reserved.